summaryrefslogtreecommitdiffstats
path: root/development/tkcon/tkcon.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/tkcon/tkcon.SlackBuild')
-rw-r--r--development/tkcon/tkcon.SlackBuild101
1 files changed, 101 insertions, 0 deletions
diff --git a/development/tkcon/tkcon.SlackBuild b/development/tkcon/tkcon.SlackBuild
new file mode 100644
index 0000000000..dcc5336c02
--- /dev/null
+++ b/development/tkcon/tkcon.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/bash
+
+# Slackware build script for tkcon
+
+# Copyright 2022 Juan M. Lasca <juanmlasca@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=tkcon
+VERSION=${VERSION:-2.7.11}
+BUILD=${BUILD:-3}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+chmod -R -x .
+
+# correct version number and .desktop file
+sed -i 's/2\.7/2\.7\.11/' pkgIndex.tcl
+sed -i 's/VERSION "2\.7\.10"/VERSION "2\.7\.11"/' tkcon.tcl
+sed -i 's/Utility\;//;/Encoding=UTF-8/d;/Comment=/d' tkcon-console.desktop
+
+install tkcon.tcl -Dm755 $PKG/usr/lib/tkcon/tkcon.tcl
+install tkcon-console.desktop -Dm644 $PKG/usr/share/applications/tkcon-console.desktop
+install icons/tkcon-small48.png -Dm644 $PKG/usr/share/pixmaps/tkcon-icon.png
+install pkgIndex.tcl -Dm644 $PKG/usr/lib/tkcon/pkgIndex.tcl
+install icons/tkcon-small48.png -Dm644 $PKG/usr/share/icons/tkcon-icon.png
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin ; ln -s ../lib/tkcon/tkcon.tcl tkcon )
+
+# install man pages
+install -Dm0644 $CWD/man/man1/tkcon.1 $PKG/usr/man/man1/tkcon.1
+install -Dm0644 $CWD/man/man5/tkconrc.5 $PKG/usr/man/man5/tkconrc.5
+install -Dm0644 $CWD/man/mann/dump.n $PKG/usr/man/mann/dump.n
+install -Dm0644 $CWD/man/mann/observe.n $PKG/usr/man/mann/observe.n
+install -Dm0644 $CWD/man/mann/idebug.n $PKG/usr/man/mann/idebug.n
+install -Dm0644 $CWD/man/mann/tkcon.n $PKG/usr/man/mann/tkcon.n
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ); do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html/docs
+cp -a \
+ README.txt docs/license.terms \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ docs/*.html docs/demopic.png docs/style.css \
+ $PKG/usr/doc/$PRGNAM-$VERSION/html/docs
+cp -a \
+ index.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION/html/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE